"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class ProcessRepresentationChainModifier {
    constructor(representation, procfileReconciler) {
        this.representation = representation;
        this.procfileReconciler = procfileReconciler;
    }
    name(name) {
        if (!name) {
            return this.representation.processName;
        }
        this.representation.processName = name;
        return this;
    }
    entry(entry) {
        if (!entry) {
            return this.representation.entryFile;
        }
        this.representation.entryFile = entry;
        return this;
    }
    scale(scale) {
        if (!scale) {
            return this.representation.scale;
        }
        this.representation.scale = scale;
        return this;
    }
    env(env) {
        if (!env) {
            return this.representation.env;
        }
        this.representation.env = env;
        return this;
    }
    argv(argv) {
        if (!argv) {
            return this.representation.argv;
        }
        this.representation.argv = argv;
        return this;
    }
    order(order) {
        if (!order) {
            return this.representation.order;
        }
        this.representation.order = order;
        return this;
    }
    drop() {
        this.procfileReconciler.dropProcessByName(this.representation.processName);
    }
}
exports.ProcessRepresentationChainModifier = ProcessRepresentationChainModifier;
//# sourceMappingURL=ProcessRepresentationChainModifier.js.map