import { MessengerClient } from 'pandora-messenger';
/**
 * Determine the daemon is running
 * @return {Promise<boolean>}
 */
export declare function isDaemonRunning(): Promise<boolean>;
/**
 * Ensure the daemon is running
 * @param options
 * @return {Promise<any>}
 */
export declare function barrierDaemon(options?: any): Promise<void | {}>;
export declare function getDaemonClient(args?: {
    extensionPath;
}): Promise<MessengerClient>;
/**
 * Send a message to the daemon, it will start the daemon automatically if that is't running.
 * @param command
 * @param args
 * @param callback
 * @param timeout
 * @return {Promise<void>}
 */
export declare function send(command: any, args: any, callback: any, timeout?: any): Promise<void>;
/**
 * Exit the daemon automatically if there not remind any application.
 * @param code
 */
export declare function clearCliExit(code: any): void;
