'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const ServiceReconciler_1 = require("../service/ServiceReconciler");
const ProcessContext_1 = require("../application/ProcessContext");
/**
 * Class DebugServiceReconciler
 * For Debugging Service
 */
class DebugServiceReconciler extends ServiceReconciler_1.ServiceReconciler {
    constructor(processName) {
        const process = {
            processName: processName || 'worker',
            appName: 'pandora-debug',
            appDir: '/pandora-debug'
        };
        super(process, new ProcessContext_1.ProcessContext(process));
    }
    receiveServiceRepresentation(rep) {
        if (rep.serviceEntry.dependencies && !rep.dependencies) {
            rep.dependencies = rep.serviceEntry.dependencies;
        }
        super.receiveServiceRepresentation(rep);
    }
}
exports.DebugServiceReconciler = DebugServiceReconciler;
//# sourceMappingURL=DebugServiceReconciler.js.map