import { ProcfileReconcilerAccessor } from './application/ProcfileReconcilerAccessor';
import { BaseMonitor } from './monitor/Monitor';
declare const _default: {
    environment: any;
    procfile(pandora: ProcfileReconcilerAccessor): void;
    logger: {
        logsDir: string;
        appLogger: {
            stdoutLevel: string;
            level: string;
        };
        serviceLogger: {
            stdoutLevel: string;
            level: string;
        };
        daemonLogger: {
            stdoutLevel: string;
            level: string;
        };
        isolatedServiceLogger: boolean;
    };
    metricsManager: any;
    metricsClient: any;
    monitor: typeof BaseMonitor;
    actuator: {
        http: {
            enabled: boolean;
            port: number;
        };
        endPoint: {
            daemon: {
                enabled: boolean;
                target: any;
                resource: any;
            };
            error: {
                enabled: boolean;
                target: any;
                resource: any;
                initConfig: {
                    cacheSize: number;
                };
            };
            health: {
                enabled: boolean;
                target: any;
                resource: any;
                initConfig: {
                    port: {
                        enabled: boolean;
                        checkUrl: string;
                    };
                    disk_space: {
                        enabled: boolean;
                        rate: number;
                    };
                };
            };
            info: {
                enabled: boolean;
                target: any;
                resource: any;
            };
            process: {
                enabled: boolean;
                target: any;
                resource: any;
            };
            metrics: {
                enabled: boolean;
                target: any;
                resource: any;
                initConfig: {
                    collector: any;
                };
            };
            trace: {
                enabled: boolean;
                target: any;
                resource: any;
                initConfig: {
                    cacheSize: number;
                    rate: number;
                    priority: boolean;
                };
            };
        };
    };
    hook: {
        global: {
            enabled: boolean;
            target: any;
        };
        eggLogger: {
            enabled: boolean;
            target: any;
        };
        bluebird: {
            enabled: boolean;
            target: any;
        };
        httpServer: {
            enabled: boolean;
            target: any;
            initConfig: {
                slowThreshold: number;
            };
        };
        httpClient: {
            enabled: boolean;
            target: any;
        };
        mysql: {
            enabled: boolean;
            target: any;
        };
        mysql2: {
            enabled: boolean;
            target: any;
        };
    };
    reporter: {
        file: {
            enabled: boolean;
            target: any;
            interval: number;
            initConfig: {
                collector: any;
            };
        };
    };
};
export default _default;
